<?php
declare(strict_types=1);

namespace Catequil\Cli;

use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ServiceManager\ServiceManager;

$config = (new ConfigAggregator([
    \Catequil\Tool\ConfigProvider::class,
    ConfigProvider::class,
]))->getMergedConfig();

$config['dependencies']['services']['config'] = $config;
return new ServiceManager($config['dependencies']);